# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_DeltaOnModificationOfIntPackedMap Class Reference

This class provides default services for an
AttributeDelta on a MODIFICATION action.
.

`#include <TDataStd_DeltaOnModificationOfIntPackedMap.hxx>`

Inheritance diagram for TDataStd_DeltaOnModificationOfIntPackedMap:

[legend]

## Public Member Functions

Standard_EXPORT | TDataStd_DeltaOnModificationOfIntPackedMap (const Handle(TDataStd_IntPackedMap)&Arr)
| Initializes a TDF_DeltaOnModification. .
virtual Standard_EXPORT void | Apply ()
| Applies the delta to the attribute. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TColStd_HPackedMapOfInteger | myAddition
Handle_TColStd_HPackedMapOfInteger | myDeletion

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_DeltaOnModificationOfIntPackedMap::TDataStd_DeltaOnModificationOfIntPackedMap | ( | const Handle(TDataStd_IntPackedMap)& | Arr | ) |

## Member Function Documentation

virtual Standard_EXPORT void TDataStd_DeltaOnModificationOfIntPackedMap::Apply | ( |  | ) | `[virtual]`

| Reimplemented from TDF_DeltaOnModification.

Standard_EXPORT const TDataStd_DeltaOnModificationOfIntPackedMap::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_DeltaOnModification.

## Field Documentation

Handle_TColStd_HPackedMapOfInteger TDataStd_DeltaOnModificationOfIntPackedMap::myAddition `[private]`

Handle_TColStd_HPackedMapOfInteger TDataStd_DeltaOnModificationOfIntPackedMap::myDeletion `[private]`

The documentation for this class was generated from the following file:

- TDataStd_DeltaOnModificationOfIntPackedMap.hxx